Package Details: gimp-apng 0.1.0-7

Git Clone URL: https://aur.archlinux.org/gimp-apng.git (read-only)
Package Base: gimp-apng
Description: A GIMP plugin to support animated PNG (APNG).
Upstream URL: http://sourceforge.net/projects/gimp-apng/
Licenses: GPL
Conflicts: gimp-plugin-apng
Provides: gimp-apng, gimp-plugin-apng
Submitter: maz-1
Maintainer: Jristz
Last Packager: Jristz
Votes: 20
Popularity: 0.689742
First Submitted: 2015-01-27 15:59
Last Updated: 2017-09-13 17:00

Latest Comments

Kaffka commented on 2017-09-14 08:04

This currently fails to build for me on Manjaro. I think the reason is the recent perl module-path changes made to arch.
(https://www.archlinux.org/news/perl-library-path-change/)

While configure is running intltool cannot find XML::Parser tool dispite it beeing installed.
(checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool)

The issue seems to be, that XML::Parser is installed under /usr/lib/perl5/5.26/vendor_perl while perl -e "print qq(@INC)" is still pointing to
/usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl
thus missing /usr/lib/perl5/5.26/vendor_perl.

Both perl and perl and perl-xml-parser are up-to-date, so I'm at a loss, why @INC is still pointing to the "old" paths.

- - - - - - - - -

Anyway, there is a simple workaround for now:
PERL5LIB=/usr/lib/perl5/5.26/vendor_perl/ pacaur -S gimp-apng

Jristz commented on 2016-09-17 23:19

Gimp-git and Gimp-gtk3-git should provide gimp or they will have problems with anyotger gimp pluging specting gimp installed

electricprism commented on 2016-09-17 21:11

I have to remove GIMP from dependencies as I use both gimp-git and gimp-gtk3-git to install.

eimis commented on 2015-08-13 12:37

I have to apply this patch to PKGBUILD to make it work:
--- /tmp/pkgbuild-1000/gimp-apng/PKGBUILD 2015-07-26 07:09:34.000000000 +0300
+++ /tmp/PKGBUILD 2015-08-13 15:32:16.960857101 +0300
@@ -50,9 +50,8 @@
rmdir "${pkgdir}/usr/bin/"

mkdir -p "${pkgdir}/usr/share/gimp/2.0/ui/"
- mv "${pkgdir}/usr/share/gimp-apng/ui/plug-ins/plug-in-file-apng.ui" \
+ cp "${pkgdir}/usr/share/gimp-apng/ui/plug-ins/plug-in-file-apng.ui" \
"${pkgdir}/usr/share/gimp/2.0/ui"
- rm -r "${pkgdir}/usr/share/gimp-apng/ui/"
}

md5sums=('af83f8dfc6cfedc9ce3e898d1eef1768')

Do:
$ patch -p1 PKGBUILD < /tmp/mypatch

Otherwise gimp says:
Error loading UI file '/usr/share/gimp-apng/ui/plug-ins/plug-in-file-apng.ui': Failed to open file '/usr/share/gimp-apng/ui/plug-ins/plug-in-file-apng.ui': No such file or directory

Please fix.

Corubba commented on 2015-03-28 14:47

Please add intltool as makedep. And please install the plugin to the global gimp plugin folder /usr/lib/gimp/2.0/plug-ins/.

isacdaavid commented on 2015-03-09 22:30

directories with whitespace break the PKGBUILD. Please wrap the cd argument around double quotes like this:

cd "${srcdir}"/${pkgname}-${pkgver}/